API documentation

Get scan findings

Returns the findings of a domain scan: leaked credentials, exposed data and security issues.

GET/v1/scans/{scanId}/findings
GETGet scan findings
curl -X GET "https://api.darkradar.com/api/public/v1/scans/507f1f77bcf86cd799439011/findings" \
  -H "x-api-key: $DARKRADAR_API_KEY"
Response

Successfully retrieved scan findings

{
  "success": true,
  "message": "OK",
  "data": {
    "findings": [
      {
        "_id": "507f1f77bcf86cd799439012",
        "scanId": "507f1f77bcf86cd799439011",
        "type": "credential",
        "domain": "example.com",
        "email": "[email protected]",
        "username": "johndoe",
        "url": "https://example.com/login",
        "stealerId": "stealer_12345",
        "source": "RedLine",
        "severity": "high",
        "isNew": true,
        "discoveredAt": "2024-01-16T08:20:00Z",
        "infectionDate": "2024-01-15T10:30:00Z"
      }
    ],
    "pagination": {
      "total": 245,
      "page": 1,
      "limit": 50,
      "pages": 5,
      "hasNext": true,
      "hasPrev": false
    }
  }
}

Access

Scopescans:read
Plan entitlementapi_access

Path parameters

FieldsValues
scanId · string · requiredUnique identifier of the scan · Example: 507f1f77bcf86cd799439011

Query parameters

FieldsValues
page · integer · optionalPage number for pagination · Example: 1
limit · integer · optionalNumber of results per page (max 100) · Example: 50
leakType · string · optionalFilter by type of leak · Example: credential
isNew · boolean · optionalFilter for newly discovered findings only · Example: true
cursor · string · optionalOpaque next-page cursor

Responses

200Successfully retrieved scan findings
400Invalid request (malformed id, missing or invalid field)
401Key missing, invalid, expired or revoked
403Insufficient scope, no API access in plan, or product not enabled
404Record not found or not owned by this key’s firm
408The request exceeded its maximum response time
429Rate limit exceeded; retry after a minute

Response limits

Page sizelimit · default 50 · max 100
Rate limit500 requests per 15 min · per IP

Was this page helpful?